QUOTA(1)

NUME
quota - afișează utilizarea și limitele discului

SINOPSIS
quota [ -F nume-format ] [ -guqvswi ] [ -l | [ -QAm ]]
quota [ -F nume-format ] [ -qvswi ] [ -l | [ -QAm ]] -u utilizator...
quota [ -F nume-format ] [ -qvswi ] [ -l | [ -QAm ]] -g grup...
quota [ -F nume-format ] [ -qvswi ] [ -l | [ -QAm ]] -P proiect...
quota [ -F nume-format ] [ -qvswugQm ] -f sistem-fișiere...

DESCRIERE
quota afișează utilizarea și limitele de disc ale utilizatorilor. În mod implicit, sunt afișate numai cotele utilizatorilor. În mod implicit, utilizarea spațiului și limitele sunt afișate în kocteți (și sunt denumite blocuri din motive istorice).

quota raportează cotele tuturor sistemelor de fișiere enumerate în /etc/mtab. Pentru sistemele de fișiere care sunt montate NFS, se efectuează un apel la rpc.rquotad pe mașina server pentru a obține informațiile.

OPȚIUNI

-F, --format=nume-format
    Afișează cota pentru formatul specificat (adică nu efectuează autodetecția formatului). Numele posibile ale formatului sunt: vfsold Formatul original al cotelor cu UID-uri / GID-uri pe 16 biți, vfsv0 formatul cotelor cu UID-uri / GID-uri pe 32 de biți, utilizarea spațiului pe 64 de biți, utilizarea și limitele nodurilor-i pe 32 de biți, vfsv1 formatul cotelor cu limitele și utilizarea cotelor pe 64 de biți, rpc (cote prin NFS), xfs (cote pe sistemul de fișiere XFS)

-g, --group
    Afișează cotele de grup pentru grupul din care face parte utilizatorul. Argumentul (argumentele) opțional(e) grup restricționează afișarea la grupul (grupurile) specificat(e).

-u, --user
    Este echivalentă cu afișarea în modul implicit.

-P, --project
    Afișează cotele proiectului pentru proiectul specificat.

-v, --verbose
    Va afișa cotele pe sistemele de fișiere în care nu este alocat spațiu de stocare.

-s, --human-readable[=unități-măsură]
    Va face ca quota(1) să încerce să aleagă unități de măsură pentru a afișa limitele, spațiul utilizat și nodurile-i utilizate. Unitățile pot fi, de asemenea, specificate explicit printr-un argument opțional în formatul [ kgt ],[ kgt ] unde primul caracter specifică unitățile de spațiu, iar al doilea caracter specifică unitățile de nod-i.

--always-resolve
    Încearcă întotdeauna să transforme numele utilizatorului / grupului în uid / gid, chiar dacă numele este compus numai din cifre.

-p, --raw-grace
    Atunci când utilizatorul se află în perioada de grație, se raportează timpul în secunde de la momentul în care perioada sa de grație expiră (sau a expirat). Câmpul este „0” atunci când perioada de grație nu este în vigoare. Acest lucru este util în special atunci când se analizează rezultatul unui script.

-i, --no-autofs
    Ignoră punctele de montare montate de «automounter»

-l, --local-only
    Raportează cotele numai pe sistemele de fișiere locale (adică ignoră sistemele de fișiere montate NFS).

-A, --all-nfs
    Raportează cote pentru toate sistemele de fișiere NFS, chiar dacă acestea raportează că se află pe același dispozitiv.

-f, --filesystem-list
    Raportează cotele numai pentru sistemele de fișiere specificate în linia de comandă.

--filesystem=ruta
    Raportează cotele numai pentru sistemul de fișiere ruta. Această opțiune poate fi specificată de mai multe tipuri, iar cotele vor fi raportate pentru fiecare sistem de fișiere specificat. Spre deosebire de opțiunea de linie de comandă -f, argumentele de comandă rămase sunt în continuare tratate ca nume de utilizator/grup/proiect pentru raportare.

-m, --no-mixed-pathnames
    În prezent, numele de rută ale punctelor de montare NFSv4 sunt trimise fără bara oblică inițială în rută. rpc.rquotad utilizează acest lucru pentru a recunoaște montările NFSv4 și pentru a antepune corect pseudo-rădăcina sistemului de fișiere NFS la rută. Dacă specificați această opțiune, quota va trimite întotdeauna rute cu o bară oblică inițială. Acest lucru poate fi util din motive moștenite, dar trebuie să știți că quota asupra RPC nu va mai funcționa dacă utilizați noul rpc.rquotad.

-q, --quiet
    Afișează un mesaj mai laconic, conținând numai informații despre sistemele de fișiere în care utilizarea depășește cota.

-Q, --quiet-refuse
    Nu imprimă mesajul de eroare dacă conexiunea la rpc.rquotad este refuzată (de obicei, acest lucru se întâmplă atunci când rpc.rquotad nu rulează pe server).

-w, --no-wrap
    Nu încadrează linia dacă numele dispozitivului este prea lung. Acest lucru poate fi util atunci când un script analizează rezultatul quota(1).

--show-mntpoint
    Afișează și punctul de montare ca identificare a sistemului de fișiere.

--hide-device
    Nu afișează numele dispozitivului în identificarea unui sistem de fișiere.

Specificând atât -g, cât și -u, se afișează atât cotele utilizatorului, cât și cotele grupului (pentru utilizator).

Numai superutilizatorul poate utiliza opțiunea -u și argumentul opțional utilizator pentru a vizualiza limitele altor utilizatori. De asemenea, vizualizarea utilizării și a limitelor cotelor de proiect este limitată doar la super-utilizator. Non-super-utilizatorii pot utiliza opțiunea -g și argumentul opțional grup pentru a vizualiza doar limitele grupurilor din care fac parte.

Opțiunea -q are prioritate față de opțiunea -v.

DIAGNOSTICARE
Dacă quota iese cu o stare diferită de zero, unul sau mai multe sisteme de fișiere depășesc cota.

FIȘIERE
aquota.user sau aquota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 2, sisteme de fișiere non-XFS)
quota.user sau quota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 1, sisteme de fișiere non-XFS)
/etc/mtab
    sisteme de fișiere implicite

CONSULTAȚI ȘI
quotactl(2), fstab(5), edquota(8), quotacheck(8), quotaon(8), quota_nld(8), repquota(8), warnquota(8), setquota(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.